'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tbody = function Tbody(_ref) {
  var style = _ref.style,
      children = _ref.children;


  var styles = (0, _lodash2.default)({}, Tbody.defaultStyles, style);

  return _react2.default.createElement(
    'div',
    { style: styles.base },
    children
  );
};

Tbody.propTypes = { style: _propTypes2.default.object };
Tbody.defaultProps = { style: {} };
Tbody.defaultStyles = {
  base: {
    display: 'table-row-group'
  }
};

exports.default = Tbody;