'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Td = function Td(_ref) {
  var value = _ref.value,
      style = _ref.style;

  var styles = (0, _lodash2.default)({}, Td.defaultStyles, style);
  return _react2.default.createElement(
    'div',
    { style: styles.base },
    value
  );
};

Td.propTypes = {
  style: _propTypes2.default.object,
  value: _propTypes2.default.node
};

Td.defaultProps = {
  style: {}
};

Td.defaultStyles = {
  base: {
    display: 'table-cell',
    padding: 10,
    boxSizing: 'border-box',
    borderLeft: '1px solid #d3d3d3',
    borderRight: '1px solid #d3d3d3',
    fontSize: 16,
    fontFamily: 'Helvetica Neue, Helvetica, Arial, sans-serif'
  }
};

exports.default = Td;