'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SelectOption = function SelectOption(_ref) {
  var value = _ref.value,
      text = _ref.text;

  return _react2.default.createElement(
    'option',
    { role: 'option', value: value },
    text
  );
};

SelectOption.propTypes = {
  text: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
  value: _propTypes2.default.node.isRequired
};

exports.default = SelectOption;