'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tfoot = function Tfoot(_ref) {
  var children = _ref.children,
      style = _ref.style;

  var styles = (0, _lodash2.default)({}, Tfoot.defaultStyles, style);
  return _react2.default.createElement(
    'tfoot',
    { style: styles.base },
    children
  );
};

Tfoot.propTypes = {
  style: _propTypes2.default.object
};

Tfoot.defaultProps = {
  style: {}
};

Tfoot.defaultStyles = {
  base: {
    display: 'table-footer-group'
  }
};

exports.default = Tfoot;