'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var findAdditions = exports.findAdditions = function findAdditions() {
  var current = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var next = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];


  if (!Array.isArray(current) || !Array.isArray(next)) return console.error('args must be an array');

  return next.filter(function (val) {
    return current.indexOf(val) === -1;
  });
};