'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _lodash = require('lodash.merge');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var WizardStep = function (_React$Component) {
  _inherits(WizardStep, _React$Component);

  function WizardStep() {
    _classCallCheck(this, WizardStep);

    return _possibleConstructorReturn(this, (WizardStep.__proto__ || Object.getPrototypeOf(WizardStep)).apply(this, arguments));
  }

  _createClass(WizardStep, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          title = _props.title,
          style = _props.style;

      var styles = (0, _lodash2.default)({}, WizardStep.defaultStyles, style);

      return _react2.default.createElement(
        'div',
        { style: styles.base },
        title ? _react2.default.createElement(
          'p',
          { style: styles.title },
          title
        ) : null,
        children
      );
    }
  }]);

  return WizardStep;
}(_react2.default.Component);

WizardStep.propTypes = {
  children: _propTypes2.default.any,
  title: _propTypes2.default.string, //display name
  name: _propTypes2.default.string.isRequired, // key name in object
  isValid: _propTypes2.default.bool,
  style: _propTypes2.default.object
};
WizardStep.defaultProps = {
  isValid: false,
  style: {}
};
WizardStep.defaultStyles = {
  base: {
    margin: 0,
    padding: 30,
    width: '100%',
    backgroundColor: 'white',
    boxSizing: 'border-box'
  },
  title: {
    fontSize: 24,
    fontFamily: 'Helvetica Neue, Helvetica, Arial, sans-serif',
    margin: 0,
    padding: '0 0 30px 0'
  }
};
exports.default = WizardStep;